View Issue Details

IDProjectCategoryView StatusLast Update
14227Bug reportsSurvey takingpublic2019-04-30 09:12
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Fixed in Version3.15.x 
Summary14227: Some token with existing reponse can send PHP Warning about seed
Description

With token + Enable token-based response persistence + Allow multiple responses or update responses with one token: : some response can have empty seed (VV import, old survey etc …).
Get access to this token send warning with debug = 2

Steps To Reproduce

Set debug = 2
Import included LSA
See token, launch the 1st one (TEST)

Additional Information

Maybe :
1: function randomizationGroupsAndQuestions can return quick if there are no randomization
2: If there are randomization : unsure on te way to fix : create a new seed (fix the response if seed didn't exist).

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Activities

DenisChenu

DenisChenu

2018-11-07 11:09

developer  

PHP warning.html (21,392 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PHP warning</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP warning</h1>

	<p class="message">
		A non-numeric value encountered	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/master/application/libraries/MersenneTwister.php(115)</p>
		<div class="code"><pre><span class="ln">103</span>      */
<span class="ln">104</span>     public function __construct($seed = null)
<span class="ln">105</span>     {
<span class="ln">106</span>         if ($seed === null) {
<span class="ln">107</span>                     $seed = mt_rand();
<span class="ln">108</span>         }
<span class="ln">109</span> 
<span class="ln">110</span>         $this-&gt;setSeed($seed);
<span class="ln">111</span>     }
<span class="ln">112</span> 
<span class="ln">113</span>     public function setSeed($seed)
<span class="ln">114</span>     {
<span class="error"><span class="ln error-ln">115</span>         $this-&gt;state[0] = $seed &amp; 0xffffffff;
</span><span class="ln">116</span> 
<span class="ln">117</span>         for ($i = 1; $i &lt; 624; $i++) {
<span class="ln">118</span>             $this-&gt;state[$i] = (((0x6c078965 * ($this-&gt;state[$i - 1] ^ ($this-&gt;state[$i - 1] &gt;&gt; 30))) + $i)) &amp; 0xffffffff;
<span class="ln">119</span>         }
<span class="ln">120</span> 
<span class="ln">121</span>         $this-&gt;index = 0;
<span class="ln">122</span>     }
<span class="ln">123</span> 
<span class="ln">124</span>     private function generateTwister()
<span class="ln">125</span>     {
<span class="ln">126</span>         for ($i = 0; $i &lt; 624; $i++) {
<span class="ln">127</span>             $y = (($this-&gt;state[$i] &amp; 0x1) + ($this-&gt;state[$i] &amp; 0x7fffffff)) &amp; 0xffffffff;
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/libraries/MersenneTwister.php(110): <strong>ls\mersenne\MersenneTwister</strong>-&gt;<strong>setSeed</strong>("")				</div>

				<div class="code"><pre><span class="ln">105</span>     {
<span class="ln">106</span>         if ($seed === null) {
<span class="ln">107</span>                     $seed = mt_rand();
<span class="ln">108</span>         }
<span class="ln">109</span> 
<span class="error"><span class="ln error-ln">110</span>         $this-&gt;setSeed($seed);
</span><span class="ln">111</span>     }
<span class="ln">112</span> 
<span class="ln">113</span>     public function setSeed($seed)
<span class="ln">114</span>     {
<span class="ln">115</span>         $this-&gt;state[0] = $seed &amp; 0xffffffff;
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/libraries/MersenneTwister.php(66): <strong>ls\mersenne\MersenneTwister</strong>-&gt;<strong>__construct</strong>("")				</div>

				<div class="code"><pre><span class="ln">61</span>      * @param int $seed
<span class="ln">62</span>      * @return void
<span class="ln">63</span>      */
<span class="ln">64</span>     public static function init($seed)
<span class="ln">65</span>     {
<span class="error"><span class="ln error-ln">66</span>         self::$instance = new MersenneTwister($seed);
</span><span class="ln">67</span>     }
<span class="ln">68</span> 
<span class="ln">69</span>     /**
<span class="ln">70</span>      * @return MersenneTwister
<span class="ln">71</span>      */
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/libraries/MersenneTwister.php(29): <strong>ls\mersenne\MersenneTwister</strong>::<strong>init</strong>("")				</div>

				<div class="code"><pre><span class="ln">24</span>         $table = \Yii::app()-&gt;db-&gt;schema-&gt;getTable('{{survey_'.$surveyid.'}}');
<span class="ln">25</span>         if (isset($table-&gt;columns['seed'])) {
<span class="ln">26</span>             $_SESSION['survey_'.$surveyid]['startingValues']['seed'] = $seed;
<span class="ln">27</span>         }
<span class="ln">28</span>     }
<span class="error"><span class="ln error-ln">29</span>     MersenneTwister::init($seed);
</span><span class="ln">30</span> }
<span class="ln">31</span> 
<span class="ln">32</span> /**
<span class="ln">33</span>  * Shuffle an array using MersenneTwister
<span class="ln">34</span>  * Argument NOT called by reference!
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/helpers/frontend_helper.php(999): <strong>ls\mersenne\setSeed</strong>("298838")				</div>

				<div class="code"><pre><span class="ln">0994</span>  */
<span class="ln">0995</span> function randomizationGroupsAndQuestions($surveyid, $preview = false, $fieldmap = array())
<span class="ln">0996</span> {
<span class="ln">0997</span>     // Initialize the randomizer. Seed will be stored in response.
<span class="ln">0998</span>     // TODO: rewrite this THE YII WAY !!!! (application/third_party + internal config for namespace + aliases; etc)
<span class="error"><span class="ln error-ln">0999</span>     ls\mersenne\setSeed($surveyid);
</span><span class="ln">1000</span> 
<span class="ln">1001</span>     $fieldmap = (empty($fieldmap)) ? $_SESSION['survey_'.$surveyid]['fieldmap'] : $fieldmap;
<span class="ln">1002</span> 
<span class="ln">1003</span>     list($fieldmap, $randomized1) = randomizationGroup($surveyid, $fieldmap, $preview); // Randomization groups for groups
<span class="ln">1004</span>     list($fieldmap, $randomized2) = randomizationQuestion($surveyid, $fieldmap, $preview); // Randomization groups for questions
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/survey/index.php(560): <strong>randomizationGroupsAndQuestions</strong>("298838")				</div>

				<div class="code"><pre><span class="ln">555</span>                         if (!empty($oResponse-&gt;submitdate)) {
<span class="ln">556</span>                             $_SESSION['survey_'.$surveyid]['maxstep'] = $_SESSION['survey_'.$surveyid]['totalsteps'];
<span class="ln">557</span>                         }
<span class="ln">558</span> 
<span class="ln">559</span>                         loadanswers();
<span class="error"><span class="ln error-ln">560</span>                         randomizationGroupsAndQuestions($surveyid);
</span><span class="ln">561</span>                         initFieldArray($surveyid, $_SESSION['survey_'.$surveyid]['fieldmap']);
<span class="ln">562</span>                     }
<span class="ln">563</span>                 }
<span class="ln">564</span>             }
<span class="ln">565</span>         }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/survey/index.php(24): <strong>index</strong>-&gt;<strong>action</strong>()				</div>

				<div class="code"><pre><span class="ln">19</span>     public $oTemplate;
<span class="ln">20</span> 
<span class="ln">21</span>     public function run()
<span class="ln">22</span>     {
<span class="ln">23</span>         useFirebug();
<span class="error"><span class="ln error-ln">24</span>         $this-&gt;action();
</span><span class="ln">25</span>     }
<span class="ln">26</span> 
<span class="ln">27</span>     public function action()
<span class="ln">28</span>     {
<span class="ln">29</span>         global $surveyid;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/actions/CAction.php(76): <strong>index</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">71</span>     {
<span class="ln">72</span>         $method=new ReflectionMethod($this, 'run');
<span class="ln">73</span>         if($method-&gt;getNumberOfParameters()&gt;0)
<span class="ln">74</span>             return $this-&gt;runWithParamsInternal($this, $method, $params);
<span class="ln">75</span> 
<span class="error"><span class="ln error-ln">76</span>         $this-&gt;run();
</span><span class="ln">77</span>         return true;
<span class="ln">78</span>     }
<span class="ln">79</span> 
<span class="ln">80</span>     /**
<span class="ln">81</span>      * Executes a method of an object with the supplied named parameters.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(308): <strong>CAction</strong>-&gt;<strong>runWithParams</strong>(array("r" =&gt; "survey/index", "sid" =&gt; "298838", "token" =&gt; "TEST", "newtest" =&gt; "Y", ...))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(index)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(index, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CWebApplication.php(282): <strong>CController</strong>-&gt;<strong>run</strong>("index")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("survey/index")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/index.php(194): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">189</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">190</span> 
<span class="ln">191</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">192</span> 
<span class="ln">193</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">194</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">195</span> 
<span class="ln">196</span> /* End of file index.php */
<span class="ln">197</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2018-11-07 10:03:06 nginx/1.12.1 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.19	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



<div class="alertify-notifier ajs-bottom ajs-right"></div><div class="alertify"><iframe class="ajs-footer" src="PHP%20warning_fichiers/alerts.html"></iframe></div></body></html>
PHP warning.html (21,392 bytes)   
DenisChenu

DenisChenu

2018-11-08 14:59

developer   ~49582

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28489

c_schmitz

c_schmitz

2019-04-30 09:12

administrator   ~51660

Fixed in Version 3.1.7.3

Related Changesets

LimeSurvey: master 665baeb9

2018-11-08 14:59:49

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14227: Some token with existing reponse can send PHP Warning about seed

Dev: set a seed if empty
Affected Issues
14227
mod - application/libraries/MersenneTwister.php Diff File

Issue History

Date Modified Username Field Change
2018-11-07 11:09 DenisChenu New Issue
2018-11-07 11:09 DenisChenu Status new => assigned
2018-11-07 11:09 DenisChenu Assigned To => ollehar
2018-11-07 11:09 DenisChenu File Added: PHP warning.html
2018-11-07 11:09 DenisChenu File Added: survey_archive_298838.lsa
2018-11-07 11:09 DenisChenu Summary Some token with existing reponse can send PHP Warning aboot seed => Some token with existing reponse can send PHP Warning about seed
2018-11-07 11:09 DenisChenu Additional Information Updated View Revisions
2018-11-08 14:59 DenisChenu Changeset attached => LimeSurvey master 665baeb9
2018-11-08 14:59 DenisChenu Note Added: 49582
2018-11-08 14:59 DenisChenu Assigned To ollehar => DenisChenu
2018-11-08 14:59 DenisChenu Resolution open => fixed
2018-11-08 15:00 DenisChenu Status assigned => resolved
2018-11-08 15:00 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:12 c_schmitz Note Added: 51660
2019-04-30 09:12 c_schmitz Status resolved => closed